unit Main;

interface

uses
  Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Walpaper, StdCtrls, Buttons;

type
  TMainForm = class(TForm)
    WallPaper: TWallPaper;
    BitBtn1: TBitBtn;
    GroupBox1: TGroupBox;
    TiledCheck: TCheckBox;
    StretchedCheck: TCheckBox;
    OpenDialog: TOpenDialog;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TiledCheckClick(Sender: TObject);
    procedure StretchedCheckClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.BitBtn1Click(Sender: TObject);
begin
  if OpenDialog.Execute then
   Wallpaper.Wallpaper := OpenDialog.FileName;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  TiledCheck.Checked := Wallpaper.Tile;
  StretchedCheck.Checked := Wallpaper.Stretch;
end;

procedure TMainForm.TiledCheckClick(Sender: TObject);
begin
  Wallpaper.Tile := TiledCheck.Checked;
end;

procedure TMainForm.StretchedCheckClick(Sender: TObject);
begin
  Wallpaper.Stretch := StretchedCheck.Checked;
end;

end.
